#!/bin/bash

INSTALL_DIR=$(pwd)

echo "Instalacja pakietów"
   
apt-get -y install autoconf-archive automake g++ libtool libleptonica-dev pkg-config
apt-get -y install git
apt-get -y install poppler-utils
apt-get -y install libjpeg-dev libtiff-dev libpng-dev
apt-get -y install zbar-tools
apt-get -y install libpango1.0-dev

echo "Instalacja pakietów LEPTONICA"

mkdir /usr/lib/leptonica
cd /usr/lib/leptonica
wget http://www.leptonica.org/source/leptonica-1.82.0.tar.gz
gunzip leptonica-1.82.0.tar.gz
tar -xf leptonica-1.82.0.tar
cd leptonica-1.82.0
./configure
make
make install

echo "Instalacja pakietów TESSERACT"

mkdir /usr/lib/tesseract
cd /usr/lib/tesseract
git clone https://github.com/tesseract-ocr/tesseract.git tesseract-ocr
cd tesseract-ocr/
./autogen.sh
./configure --disable-openmp
make
make install
ldconfig

echo "Pobieranie pakietów tessdata"

cd /usr/local/share/tessdata/
wget https://raw.githubusercontent.com/tesseract-ocr/tessdata/main/script/Latin.traineddata
wget https://raw.githubusercontent.com/tesseract-ocr/tessdata/main/pol.traineddata
wget https://raw.githubusercontent.com/tesseract-ocr/tessdata/main/eng.traineddata
wget https://raw.githubusercontent.com/tesseract-ocr/tessdata/main/osd.traineddata


echo "Instalacja pakietów dla BUFFOR OCR"

apt-get -y install rabbitmq-server
apt-get -y install python3-opencv
apt-get -y install python3-pip
apt-get -y install python3-pika
apt-get -y install python3-toml
apt-get -y install python3-pil
apt-get -y install supervisor

apt-get -y install pdftk

echo "Kopiowanie plików konfiguracyjnych supervisor"

cp -p $INSTALL_DIR'/conf/etc/supervisor/conf.d/edokumenty-worker-ocr.conf' /etc/supervisor/conf.d/
cp -p $INSTALL_DIR'/conf/etc/supervisor/conf.d/edokumenty-worker-ocr-result.conf' /etc/supervisor/conf.d/
cp -p $INSTALL_DIR'/conf/etc/supervisor/conf.d/edokumenty-worker-emails.conf' /etc/supervisor/conf.d/


cd /home/edokumenty/
mkdir var
mkdir var/log
mkdir var/log/cron_runner
mkdir var/log/ocr
mkdir var/log/ocr_result
mkdir var/log/sendmail

echo "Restart workerów"
sleep 5
supervisorctl restart all
